al_identify_bitmap_f(3)

NAME

al_identify_bitmap_f - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    char const *al_identify_bitmap_f(ALLEGRO_FILE *fp)

DESCRIPTION

Tries to guess the bitmap file type of the open ALLEGRO_FILE by reading the first few bytes. By default Allegro cannot recognize any file types, but calling al_init_image_addon(3) will add detection of (some of) the types it can read. You can also use al_register_bitmap_identifier(3) to add identification for custom file types.

Returns a pointer to a static string with a file extension for the type, including the leading dot. For example ".png" or ".jpg". Returns NULL if the bitmap type cannot be determined.

SINCE

5.1.12

SEE ALSO

al_init_image_addon(3), al_identify_bitmap(3), al_register_bitmap_identifier(3)